Kerbal Space Program - Feedback #1997

Game crashes on reverting
12/23/2013 08:44 AM - Reaper36

Status: Closed
Severity: Very Low
Assignee:

Category:

Target version:

Version: 0.23 Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

| was reverting to hangar at the moment | got to the runway with a vessel | loaded by clicking on the runway on the KSC overview.
Since | did not find a place to put the crash report in the forums | figured | put it here and if somebody cares they can take a look at it.
If there is a better place for crash-reports, please tell me.

If you need any more or less information | am at your service.

Related issues:

Related to Kerbal Space Program - Bug #2386: Crash when reverting to SPH Closed 04/13/2014
Has duplicate Kerbal Space Program - Bug #2019: Consistent crash when reverti... Duplicate 01/05/2014
History

#1 - 01/06/2014 04:00 AM - TruePikachu
| think this is the right place, don't worry ;)
I've found a couple of dupes for this (#2015 and #2019), so you aren't alone in the matter.

What appears to be in common with all the crashes I've looked at is that the crash seems to be just after the garbage collect just after trying to switch
into the editor.

#2 - 02/04/2014 04:32 PM - Steve.Cleveland@gmail.com
- File 2014-02-04_141004.zip added

Any updates on this? I'm having KSP crash constantly. Almost every time | try to go the VAB. Very frustrating. I've included my latest crash log, but
| have a ton if you want more. :)

#3 - 02/11/2014 01:08 PM - Ted
- Status changed from New to Closed

- % Done changed from 0 to 100

So, these crash reports appear to be very different. Firstly, Reaper36's crash appears to be a possible out of memory issue or perhaps is related to
Protractor having NullRef Errors during initial asset load - | suggest uninstalling that and seeing if the behaviour persists.

Steve, your crash is possibly related to outdated GPU drivers as Unity seems to lose GFX Context before crashing, though | do have my doubts about
that - give updating a go anyway.

Secondly, you're both running installs with Plugins/Addons in use, which makes tracking down stock/vanilla bugs a whole lot harder. So please
uninstall them then post here if the issues persist and I'll re-open it.

Thanks.

#4 - 02/14/2014 07:15 PM - Steve.Cleveland@gmail.com
- File 2014-02-14_170652.zip added

| just had it crash again with the latest nVidia drivers installed. While | do have some mods installed, | did try running without mods and had the same
problem. If you'd like, | could try it again. I've attached my lastest crash log.

Files
https://bugs.kerbalspaceprogram.com/issues/2015
https://bugs.kerbalspaceprogram.com/issues/2019

2013-12-23_132916.zip 60.9 KB 12/23/2013 Reaper36
2014-02-04_141004.zip 61.1 KB 02/04/2014 Steve.Cleveland@gmail.com
2014-02-14_170652.zip 63.3 KB 02/14/2014 Steve.Cleveland@gmail.com
